import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
import Telemarketer from '../components/telemarketer/telemarketer.vue'
import lead from '../components/telemarketer/lead.vue'
import replenishLead from '../components/telemarketer/replenishLeads.vue'
import leadFind from '../components/telemarketer/leadFindByTel.vue'
import Booking from '../components/booking/booking.vue'
import Calls from '../components/calls/calls.vue'
import Importer from '../components/importer/leadImporter.vue'
import SipAccount from '../components/settings/sipAccount.vue'
import MediaDevices from '../components/settings/mediaDevices.vue'
import Defaults from '../components/settings/defaults.vue'

Vue.use(VueRouter)

const routes = [
	{
		path: '/',
		name: 'home',
		component: Home,
	},
	{
		path: '/about',
		name: 'about',
		// route level code-splitting
		// this generates a separate chunk (about.[hash].js) for this route
		// which is lazy-loaded when the route is visited.
		component: () =>
			import(/* webpackChunkName: "about" */ '../views/About.vue'),
	},
	{
		path: '/telemaketer',
		name: 'Telemarketing',
		component: Telemarketer,
	},
	{
		path: '/lead/:id',
		name: 'Lead',
		component: lead,
	},
	{
		path: '/leadReplenish',
		name: 'LeadReplenish',
		component: replenishLead,
	},
	{
		path: '/leadFind',
		name: 'LeadFind',
		component: leadFind,
	},
	{
		path: '/booking',
		name: 'Booking',
		component: Booking,
	},
	{
		path: '/calls',
		name: 'Calls',
		component: Calls,
	},
	{
		path: '/importer',
		name: 'Importer',
		component: Importer,
	},
	{
		path: '/settings/sipaccount',
		name: 'SipAccount',
		component: SipAccount,
	},
	{
		path: '/settings/mediadevices',
		name: 'MediaDevices',
		component: MediaDevices,
	},
	{
		path: '/settings/defaults',
		name: 'Defaults',
		component: Defaults,
	},
]

const router = new VueRouter({
	mode: 'history',
	base: process.env.BASE_URL,
	routes,
})

export default router
